<!-- 搜索表单 -->
<template>
  <seekPage :seekList="seekList" :formLength="4" @search="search"></seekPage>
</template>

<script>
export default {
  name: 'PollingRulesSearch',
  data() {
    return {}
  },
  computed: {
    seekList() {
      return [
        {
          label: '规则名称：',
          value: 'ruleName',
          type: 'input',
          placeholder: '请输入规则名称'
        },
        {
          label: '规则编码：',
          value: 'ruleCode',
          type: 'input',
          placeholder: '请输入规则编码'
        },
        {
          label: '时间间隔：',
          value: 'forInterval',
          type: 'input',
          placeholder: '请输入时间间隔'
        },
        {
          label: '是否重复：',
          value: 'repeated',
          type: 'select',
          placeholder: '全部',
          selectList: [
            { label: '是', value: true },
            { label: '否', value: false }
          ]
        }
      ]
    }
  },
  methods: {
    /* 搜索 */
    search(e) {
      this.$emit('search', { ...e })
    }
  }
}
</script>
<style lang="scss" scoped></style>
